## org.exist.storage.btree
Class UpdatePageLoggable

    java.lang.Object
      org.exist.storage.journal.AbstractLoggable
          org.exist.storage.btree.BTAbstractLoggable
              org.exist.storage.btree.UpdatePageLoggable

All Implemented Interfaces:
  Loggable

public class UpdatePageLoggable
extends BTAbstractLoggable

Author:
  wolf

Constructor Summary
`UpdatePageLoggable(DBBroker broker, long transactionId)`
`UpdatePageLoggable(Txn transaction, byte fileId, long pageNum, Value[] values, int nValues, long[] pointers, int nPointers)`

Method Summary
`java.lang.String` `dump()` Default implementation returns the current LSN plus the class name of the Loggable instance.
`int` `getLogSize()` Returns the size of the work load of this entry.
`void` `read(java.nio.ByteBuffer in)` Read the entry.
`void` `redo()` Redo the underlying operation.
`void` `write(java.nio.ByteBuffer out)` Write this entry to the specified ByteBuffer.

Methods inherited from class org.exist.storage.journal.AbstractLoggable
`clear, getLogType, getLsn, getTransactionId, setLsn, undo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdatePageLoggable

    public UpdatePageLoggable(Txn transaction,
                              byte fileId,
                              long pageNum,
                              Value[] values,
                              int nValues,
                              long[] pointers,
                              int nPointers)

Parameters:
  `fileId` -
  `pageNum` -
  `values` -
  `nValues` -
  `pointers` -
  `nPointers` -
  `transaction` -

### UpdatePageLoggable

    public UpdatePageLoggable(DBBroker broker,
                              long transactionId)

Parameters:
  `broker` -
  `transactionId` -

Method Detail

### write

    public void write(java.nio.ByteBuffer out)

  Description copied from interface: `Loggable`
  Write this entry to the specified ByteBuffer.

  Specified by:
    `write` in interface `Loggable`
  Overrides:
    `write` in class `BTAbstractLoggable`

### read

    public void read(java.nio.ByteBuffer in)

  Description copied from interface: `Loggable`
  Read the entry.

  Specified by:
    `read` in interface `Loggable`
  Overrides:
    `read` in class `BTAbstractLoggable`

### getLogSize

    public int getLogSize()

  Description copied from interface: `Loggable`
  Returns the size of the work load of this entry.

  Specified by:
    `getLogSize` in interface `Loggable`
  Overrides:
    `getLogSize` in class `BTAbstractLoggable`

### redo

    public void redo()
              throws LogException

  Description copied from interface: `Loggable`
  Redo the underlying operation. This method is called by `RecoveryManager`.

  Specified by:
    `redo` in interface `Loggable`
  Overrides:
    `redo` in class `AbstractLoggable`
  Throws:
    `LogException`

### dump

    public java.lang.String dump()

  Description copied from class: `AbstractLoggable`
  Default implementation returns the current LSN plus the class name of the Loggable instance.

  Specified by:
    `dump` in interface `Loggable`
  Overrides:
    `dump` in class `AbstractLoggable`

Copyright (C) Wolfgang Meier. All rights reserved.